<?php

class Ithemes_Sync_Verb_ITSEC_Get_Malware_Schedule extends Ithemes_Sync_Verb {

	public static $name = 'itsec-get-malware-schedule';
	public static $description = '';

	public $default_arguments = array();

	public function run( $arguments ) {

		$response   = array();
		$settings   = get_site_option( 'itsec_malware_scheduling' );
		$last_scans = get_site_option( 'itsec_malware_scheduling_last_scans' );

		if ( isset( $last_scans['overall'] ) ) {
			$response['last_overall_scan'] = absint( $last_scans['overall'] );
		} else {
			$response['last_overall_scan'] = false;
		}

		if ( isset( $settings['standard'] ) && $settings['standard'] === true ) {
			$response['standard_scan'] = true;
		} else {
			$response['standard_scan'] = false;
		}

		if ( isset( $settings['standard_interval'] ) ) {
			$response['standard_scan_interval'] = absint( $settings['standard_interval'] );
		} else {
			$response['standard_scan_interval'] = 1;
		}

		if ( isset( $last_scans['standard'] ) ) {
			$response['last_standard_scan'] = absint( $last_scans['standard'] );
		} else {
			$response['last_standard_scan'] = false;
		}

		if ( isset( $settings['individual'] ) && is_array( $settings['individual'] ) && sizeof( $settings['individual'] ) > 0 ) {

			foreach ( $settings['individual'] as $key => $scan ) {

				if ( isset ( $last_scans[$scan['resource']] ) ) {
					$settings['individual'][$key]['last_scan'] = $last_scans[$scan['resource']];
				}

			}

			$response['individual_scans'] = $settings['individual'];

		} else {

			$response['individual_scans'] = false;

		}

		return $response;

	}

}
