jQuery( document ).ready( function () {

	jQuery( '#itsec_malware_scheduling_enabled' ).change(function () {

		if ( jQuery( '#itsec_malware_scheduling_enabled' ).is( ':checked' ) ) {

			jQuery( '#malware_scheduling-settings' ).show();

		} else {

			jQuery( '#malware_scheduling-settings' ).hide();

		}

	} ).change();

	jQuery( '#itsec_malware_scheduling_standard' ).change(function () {

		if ( jQuery( '#itsec_malware_scheduling_standard' ).is( ':checked' ) ) {

			jQuery( '#itsec_malware_scheduling_standard_interval' ).show();

		} else {

			jQuery( '#itsec_malware_scheduling_standard_interval' ).hide();

		}

	} ).change();

	jQuery( '#scheduling_table' ).on( 'change', '.itsec_malware_scheduling_individual_type', function () {

		var id = jQuery( this ).attr( 'id' )

		var value = jQuery( this ).attr( 'value' );

		if ( value == 0 ) {

			var site_url = jQuery( this ).closest( 'tr' ).find( '.itsec_malware_scheduling_individual_resource' ).data( 'url' );
			jQuery( this ).closest( 'tr' ).find( '.itsec_malware_scheduling_individual_resource' ).removeClass( 'file-dialog' ).unbind( 'click' ).attr( 'placeholder', site_url );

		} else if ( value == 1 ) {

			jQuery( this ).closest( 'tr' ).find( '.itsec_malware_scheduling_individual_resource' ).addClass( 'file-dialog' ).attr( 'placeholder', itsec_malware_scheduling_js.placeholder );
			launchft();

		}

	} );

	jQuery( '.repeat' ).each( function () {

		jQuery( this ).repeatable_fields(
			{
				add      : '.add',
				remove   : '.remove',
				template : '.template'
			} );

	} );

	launchft();

} );

var launchft = function () {

	jQuery( '.file-dialog' ).on( 'click', function ( event ) {

		event.preventDefault();

		var target = jQuery( this ).attr( 'rel' );
		var title = itsec_jquery_filetree.title;
		var id = jQuery( this ).attr( 'id' );

		jQuery( '#' + target ).dialog(
			{
				dialogClass   : 'wp-dialog itsec-dialog itsec-dialog-logs',
				modal         : true,
				closeOnEscape : true,
				title         : title,
				height        : ( jQuery( window ).height() * 0.8 ),
				width         : ( jQuery( window ).width() * 0.4 ),
				open          : function ( event, ui ) {

					jQuery( '.jquery_file_tree' ).fileTree(
						{
							root   : itsec_jquery_filetree.abspath,
							script : ajaxurl

						}, function ( file, element ) {

							jQuery( '#' + id ).val( file.substring( itsec_jquery_filetree.abspath.length ) );
							jQuery( '.ui-widget-overlay' ).siblings( '.ui-dialog' ).find( '.ui-dialog-content' ).dialog( 'close' );

						}

					);

					jQuery( '.ui-widget-overlay' ).bind( 'click', function () {
						jQuery( this ).siblings( '.ui-dialog' ).find( '.ui-dialog-content' ).dialog( 'close' );
					} );

				},
				beforeClose   : function ( event, ui ) {

				}
			}
		);

		jQuery( '.ui-dialog :button' ).blur();

	} );

}
